<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.web.base.mapper.ProcureReceivingGoodsMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.ruoyi.web.base.domain.ProcureReceivingGoods">
        <id column="id" property="id" />
        <result column="receiving_num" property="receivingNum" />
        <result column="goods_num" property="goodsNum" />
        <result column="goods_name" property="goodsName" />
        <result column="goods_spec" property="goodsSpec" />
        <result column="warehouse_name" property="warehouseName" />
        <result column="batch" property="batch" />
        <result column="arrive_method" property="arriveMethod" />
        <result column="ranch_weight" property="ranchWeight" />
        <result column="arrive_weight" property="arriveWeight" />
        <result column="base_num" property="baseNum" />
        <result column="base_unit" property="baseUnit" />
        <result column="ass_num" property="assNum" />
        <result column="ass_unit" property="assUnit" />
        <result column="unit_price" property="unitPrice" />
        <result column="amount" property="amount" />
        <result column="delivery_date" property="deliveryDate" />
        <result column="settlement_method" property="settlementMethod" />
        <result column="business_type" property="businessType" />
        <result column="estimate_level" property="estimateLevel" />
        <result column="estimate_weight" property="estimateWeight" />
        <result column="is_deduction" property="isDeduction" />
        <result column="del_flag" property="delFlag" />
        <result column="create_by" property="createBy" />
        <result column="create_time" property="createTime" />
        <result column="update_by" property="updateBy" />
        <result column="update_time" property="updateTime" />
        <result column="remark" property="remark" />
        <result column="org_id" property="orgId" />
    </resultMap>

</mapper>
